---
apiVersion: "v1"
kind: "Template"
labels: {}
metadata:
  annotations:
    fabric8.cdi-camel/iconUrl: "img/icons/camel.svg"
    description: "Camel route using CDI in a standalone Java Container"
    fabric8.cdi-camel/summary: "Camel route using CDI in a standalone Java Container"
  labels: {}
  name: "cdi-camel"
objects:
- apiVersion: "v1"
  kind: "Service"
  metadata:
    annotations:
      prometheus.io/scrape: "true"
      prometheus.io/scheme: "http"
      prometheus.io/port: "9779"
    labels:
      project: "cdi-camel"
      provider: "fabric8"
      version: "2.2.103"
      group: "quickstarts"
    name: "cdi-camel"
  spec:
    clusterIP: "None"
    deprecatedPublicIPs: []
    externalIPs: []
    ports:
    - port: 9779
      targetPort: 9779
    selector:
      project: "cdi-camel"
      provider: "fabric8"
      group: "quickstarts"
- apiVersion: "v1"
  kind: "ReplicationController"
  metadata:
    annotations:
      fabric8.io/git-branch: "release-v2.2.103"
      fabric8.io/git-commit: "bccfbc296c56db9de9c90501f32015a8b454220d"
      fabric8.io/git-url: "http://gogs.release.cd.fabric8.io/gogsadmin/oss-parent/commit/bccfbc296c56db9de9c90501f32015a8b454220d"
      fabric8.io/build-url: "http://jenkins.release.cd.fabric8.io/job/oss-parent/1"
      fabric8.io/build-id: "1"
    labels:
      project: "cdi-camel"
      provider: "fabric8"
      version: "2.2.103"
      group: "quickstarts"
    name: "cdi-camel"
  spec:
    replicas: 1
    selector:
      project: "cdi-camel"
      provider: "fabric8"
      version: "2.2.103"
      group: "quickstarts"
    template:
      metadata:
        annotations: {}
        labels:
          project: "cdi-camel"
          provider: "fabric8"
          version: "2.2.103"
          group: "quickstarts"
      spec:
        containers:
        - args: []
          command: []
          env:
          - name: "KUBERNETES_NAMESPACE"
            valueFrom:
              fieldRef:
                fieldPath: "metadata.namespace"
          image: "fabric8/cdi-camel:2.2.103"
          name: "cdi-camel"
          ports:
          - containerPort: 8778
            name: "jolokia"
          securityContext: {}
          volumeMounts: []
        imagePullSecrets: []
        nodeSelector: {}
        volumes: []
parameters: []
